Subject: Re: [netconf] http client draft

From: Balázs Lengyel <[email-masked]>
Date: Tue, 17 Sep 2019 11:04:52 +0000

From: Mahesh Jethanandani <[email-masked]> 
Sent: 2019. szeptember 16., hétfő 18:23
To: Balázs Lengyel <[email-masked]>
Cc: Kent Watsen <[email-masked]>
Subject: Re: http client draft

Hi Balasz,

On Sep 16, 2019, at 2:49 AM, Balázs Lengyel <[email-masked] <mailto:[email-masked]> > wrote:

Hello Kent,

As I need something like  <https://tools.ietf.org/id/draft-mahesh-netconf-https-notif-00.txt> draft-mahesh-netconf-https-notif asap I am trying to look into some of the details.  (I might even propose a temporary extreme-simplified version to some industry bodies.)

Looking at the HTTP client draft I am missing the “path” section of the URI. Is that just a mistake or intentional?

[mj] You must have seen Kent’s discussion with Martin on the same topic. What is your preference to either one of the options.

- feature statement around a “path” leaf

- augment http-params module to add a “path” leaf

- add a new section for “path”

You can respond to the thread in the netconf mailing list.

[BALAZS]: In our practice PATH is nearly always used for HTTP based communications. Most of the times it is a fixed path that could be configured for the receiver/endpoint, so my proposals in order of preference would be to 

1.	add path to the http-client model as a mandatory=false leaf. (or defaulting to an empty string)
2.	feature statement around a “path” leaf
3.	augment http-params module to add a “path” leaf

regards Balazs